<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/settings.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$hidden_fields=array('task'	=> 'save');

	$fields=array(
		'prefix'	=> array(
			'fields'	=> array(
				'auth_user_len'					=> array('type' => 'integer', 'extra' => array('size' => 5)),
				'auth_password_len'				=> array('type' => 'integer', 'extra' => array('size' => 5)),
				'auth_sequence'					=> array('type' => 'text', 'extra' => array('size' => 5))
			)
		),
		'dtmf'	=> array(
			'fields'	=> array(
				'command_open'					=> array('type' => 'text', 'extra' => array('size' => 5)),
				'command_close'					=> array('type' => 'text', 'extra' => array('size' => 5)),

				'command_conference_start'		=> array('type' => 'text', 'extra' => array('size' => 5)),
				'command_conference_finish'		=> array('type' => 'text', 'extra' => array('size' => 5)),
				'command_inline_login'			=> array('type' => 'text', 'extra' => array('size' => 5)),
				'command_inline_logout'			=> array('type' => 'text', 'extra' => array('size' => 5)),
// 				'command_onhold'				=> array('type' => 'text', 'extra' => array('size' => 5)),
// 				'command_resume'				=> array('type' => 'text', 'extra' => array('size' => 5))
			)
		)
	);

	$manager=new CI_SETTINGS_FEATURES();

	$info=$manager->get_info();

	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('actions/settings_features.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('settings.features.tab-');
	$form->set_fields_label_prefix('settings.features.fld-');

	$form->buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'save':	$('form').do_submit(); break;
		}
		ci_hide_error_block('form_error');
	}

	function on_form_event(id, task)
	{
	}
</script>

<div class="title"><?php echo ci_lbl("settings.features.title") ?></div>
<div class="help"><?php echo ci_hlp("settings.features") ?></div>

<?php echo $form->get() ?>
