<?php
	require_once('../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/users.inc.php');
	require_once(CI_PATH_LIBS.'/addressbook.inc.php');

	header('Content-type: text/xml');

	/* Check authorization for source */
	if ($_REQUEST['old_id'])
	{
		list($levelarg, $short)=split('/', $_REQUEST['old_id']);
		list($level, $arg)=split(':', $levelarg);

		if		($level == 'public')	CI_AUTH::require_auth('admin', array('reply' => 'xml'));
		elseif	($level == 'group')		CI_AUTH::require_auth('groupadmin', array('reply' => 'xml', 'group' => $arg));
		elseif	($level == 'user')		CI_AUTH::require_auth('user', array('reply' => 'xml', 'user' => $arg));
	}

	/* Check authorization for destination */
	list($levelarg, $short)=split('/', $_REQUEST['id']);
	list($level, $arg)=split(':', $levelarg);

	if		($level == 'public')	CI_AUTH::require_auth('admin', array('reply' => 'xml'));
	elseif	($level == 'group')		CI_AUTH::require_auth('groupadmin', array('reply' => 'xml', 'group' => $arg));
	elseif	($level == 'user')		CI_AUTH::require_auth('user', array('reply' => 'xml', 'user' => $arg));

	/* Destination manager */
	$manager=new CI_ADDRESSBOOK($level);

	switch ($_REQUEST['task'])
	{
		case 'delete':
			$out=$manager->task_delete($_REQUEST['id']);
			break;

		case 'save':
			$out=$manager->task_save($_REQUEST);
			break;
	}

	echo ci_get_serialized_xml($out, 'reply');
	exit;
?>